Subject: RE: [NGO] NETCONF Data types

From: Mehmet Ersue <[email-masked]>
Date: Wed, 5 Dec 2007 22:17:38 +0000 (GMT)

> > But I was more specifically worried about counter versus
> > gauge versus integer versus unsigned integer versus. Historically these
> > turned into CLRs.
> >   
> I totally disagree.
> I remember several times, NMS programmers at Cisco
> asking for int8, int16, uint8, uint16.  It is very useful
> to have these 'extra' types.
> 
> I also think it has been very useful to distinguish between
> gauges, counters, and simple numbers in SMIv2.
> If one followed your logic to the end, we would only
> have 'string', since that is the only 'real' content in an
> XML simpleType.

I agree that the the basic types are used very frequently and are 
therefor helpful to ease the development and to get it consistent.
 
Cheers,
Mehmet

       __________________________________ Ihr erstes Fernweh? Wo gibt es den schönsten Strand? www.yahoo.de/clever

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo